pve-zsync scheitert mit "malformed JSON string"

thz

Member
Jul 31, 2015
26
2
23
Terra
Ich habe zwei PVE-Nodes (Version 6.2) mit ZFS als Dateisystem für die virtuellen Maschinen. Wenn ich versuche eine Replication der VMs auszuführen (Cron-Job mittels Webinterface erstellt) kommt folgender Fehler:

root $ cat /var/log/pve/replicate/130-0

2020-07-08 14:14:01 130-0: start replication job
2020-07-08 14:14:01 130-0: guest => VM 130, running => 3335
2020-07-08 14:14:01 130-0: volumes => VM:vm-130-disk-0
2020-07-08 14:14:02 130-0: end replication job with error: command '/usr/bin/ssh -e none -o 'BatchMode=yes' -o 'HostKeyAlias=pve01' root@192.168.3.10 -- pvesr prepare-local-job 130-0 VM:vm-130-disk-0 --last_sync 0' failed: malformed JSON string, neither tag, array, object, number, string or atom, at character offset 0 (before "\x{1b}[H\x{1b}[2J\x{1b}...") at /usr/share/perl5/PVE/Replication.pm line 98.
Das Betriebssystem ist Debian/Buster.

Auf der Suche im Internet habe ich zwar hier (https://lists.proxmox.com/pipermail/pve-devel/2020-February/041647.html) etwas zur Fehlermeldung gefunden, aber der Patch ist schon drin.

Was fehlt eventuell an Einstellungen, damit das richtig funktioniert?
 

wolfgang

Proxmox Staff Member
Staff member
Oct 1, 2014
6,002
400
103
Hi,

Gehe ich richtig in der Annahme, das du "pvesr" meinst und du den Fehler sofort, nach den erstellen bekommst?
Welche Proxmox VE Version verwendest du genau?

Code:
pveversion -v
 

thz

Member
Jul 31, 2015
26
2
23
Terra
Ja, genau. Der Fehler kommt sofort nach erstellen des Jobs per WebGUI.

Zudem lässt sich der eingetragene Replikations-Job nicht mehr löschen.

node08: ~/ $ pveversion -v
proxmox-ve: 6.2-1 (running kernel: 5.4.44-2-pve)
pve-manager: 6.2-9 (running version: 6.2-9/4d363c5b)
pve-kernel-5.4: 6.2-4
pve-kernel-helper: 6.2-4
pve-kernel-5.3: 6.1-6
pve-kernel-5.4.44-2-pve: 5.4.44-2
pve-kernel-5.4.44-1-pve: 5.4.44-1
pve-kernel-5.3.18-3-pve: 5.3.18-3
ceph-fuse: 14.2.9-pve1
corosync: 3.0.4-pve1
criu: 3.11-3
glusterfs-client: 5.5-3
ifupdown: 0.8.35+pve1
ksm-control-daemon: 1.3-1
libjs-extjs: 6.0.1-10
libknet1: 1.16-pve1
libproxmox-acme-perl: 1.0.4
libpve-access-control: 6.1-2
libpve-apiclient-perl: 3.0-3
libpve-common-perl: 6.1-5
libpve-guest-common-perl: 3.0-11
libpve-http-server-perl: 3.0-6
libpve-storage-perl: 6.2-3
libqb0: 1.0.5-1
libspice-server1: 0.14.2-4~pve6+1
lvm2: 2.03.02-pve4
lxc-pve: 4.0.2-1
lxcfs: 4.0.3-pve3
novnc-pve: 1.1.0-1
openvswitch-switch: 2.12.0-1
proxmox-mini-journalreader: 1.1-1
proxmox-widget-toolkit: 2.2-9
pve-cluster: 6.1-8
pve-container: 3.1-10
pve-docs: 6.2-4
pve-edk2-firmware: 2.20200531-1
pve-firewall: 4.1-2
pve-firmware: 3.1-1
pve-ha-manager: 3.0-9
pve-i18n: 2.1-3
pve-qemu-kvm: 5.0.0-9
pve-xtermjs: 4.3.0-1
pve-zsync: 2.0-3
qemu-server: 6.2-8
smartmontools: 7.1-pve2
spiceterm: 3.1-1
vncterm: 1.6-1
zfsutils-linux: 0.8.4-pve1
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE and Proxmox Mail Gateway. We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!